Create a meter value

Requires the METER_VALUE.CREATE permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
referencestringRequiredformat: "^\S+$"0-256 characters
namestring or nullRequiredformat: "^.*$"0-256 characters
typeenum or nullRequired
The type of the meter value.
descriptionstring or nullOptionalformat: "^.*$"0-256 characters
statusenum or nullOptional
The status of the meter value indicating the activity and the ability to update properties.

Response

Created
object_typestring or nullRead-only
idstring or nullRead-only
referencestringformat: "^\S+$"0-256 characters
namestring or nullformat: "^.*$"0-256 characters
descriptionstring or nullformat: "^.*$"0-256 characters
statusenum or null
The status of the meter value indicating the activity and the ability to update properties.
typeenum or null
The type of the meter value.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
500
Internal Server Error